com.ihr.xbrl.om

## Enum RSRemoteCatalogResolver.CatalogFormat

- java.lang.Object
- - java.lang.Enum<RSRemoteCatalogResolver.CatalogFormat>
  - - com.ihr.xbrl.om.RSRemoteCatalogResolver.CatalogFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RSRemoteCatalogResolver.CatalogFormat>
  Enclosing class:
    RSRemoteCatalogResolver

      public static enum RSRemoteCatalogResolver.CatalogFormat
      extends java.lang.Enum<RSRemoteCatalogResolver.CatalogFormat>

  The Enum CatalogFormat.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `rsziptc` Reporting Standard ZIP Taxonomy Catalog format.
    `xbrltc` Taxonomy Packages PWD.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RSRemoteCatalogResolver.CatalogFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RSRemoteCatalogResolver.CatalogFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### rsziptc

          public static final RSRemoteCatalogResolver.CatalogFormat rsziptc

      Reporting Standard ZIP Taxonomy Catalog format.

    - #### xbrltc

          public static final RSRemoteCatalogResolver.CatalogFormat xbrltc

      Taxonomy Packages PWD.

  - ### Method Detail

    - #### values

          public static RSRemoteCatalogResolver.CatalogFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RSRemoteCatalogResolver.CatalogFormat c : RSRemoteCatalogResolver.CatalogFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RSRemoteCatalogResolver.CatalogFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null